For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve minimum bid details for keywords

Retrieve individual minimum bid details and the overall campaign minimum bid for an array of specified keywords in Search and Category & Search placement type campaigns.

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "Retrieve individual minimum bid details and the overall campaign minimum bid for an array of specified keywords in Search and Category & Search placement type campaigns."

Retrieve minimum bid details for keywords

Retrieve minimum bid details for keywords

post

Retrieve individual minimum bid details and the overall campaign minimum bid for an array of specified keywords in Search and Category & Search placement type campaigns.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Body
campaignTypestring · enumRequiredPossible values:
catalogIdsstring[] · min: 1Required

Specifies the unique identifiers for the retailer's catalogs associated with the campaign. You can specify more than one catalog ID, separated by commas. Ensure that all specified catalog IDs meet the following criteria: - They are not empty and contain products. - They use the same currency (e.g., AUD or USD). - They belong to the same namespace.

keywordsstring[] · min: 1 · max: 1000Required

Specifies the search keywords for Search and Category & Search placement type campaigns. You can specify up to 1000 search keywords.

namespacestringRequired

The unique identifier of the namespace.

placementIdstringRequired

The unique identifier of the campaign's placement.

retailerTeamIdstringOptional

The unique identifier for a retailer-managed team. As a retailer, you can retrieve minimum bid details of the supplier team by specifying the retailerTeamId. Ensure that API requests are authenticated with the retailer's bearer token.

teamIdstringRequired

Specifies the unique identifier for the team associated with the campaign.

Responses
200

Provides the minimum bid details for the specified keywords in Search and Category & Search placement type campaigns.

application/json
post/v3/min-bid/keywords
POST /v3/min-bid/keywords HTTP/1.1
Host: campaign.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 162

{
  "campaignType": "CAMPAIGN_TYPE_DISPLAY",
  "catalogIds": [
    "text"
  ],
  "keywords": [
    "text"
  ],
  "namespace": "text",
  "placementId": "text",
  "retailerTeamId": "text",
  "teamId": "text"
}
{
  "campaignMinBid": {
    "minBid": 1
  },
  "resolvedMinBids": [
    {
      "catalogId": "text",
      "keyword": "text",
      "minBid": 1,
      "namespace": "text",
      "source": "MIN_BID_SOURCE_LEVEL_WILDCARD"
    }
  ]
}